var ENTITY_TYPES = {
    BANNER: "BANNER",
    LOCATION: "LOCATION",
    ARTIST: "ARTIST",
    GROUP: "GROUP",
    EVENT: "EVENT",
    POST: "POST",
    PARTNER: "PARTNER",
    WORKSHOP: "WORKSHOP",
    WORKSHOP_SESSION: "WORKSHOP_SESSION",
    OPPORTUNITY: "OPPORTUNITY",
    MERCHANDISE: "MERCHANDISE",
    GALLERY: "GALLERY",
    GALLERY_ITEM: "GALLERY_ITEM"
};

var ENTITY_TYPE_GROUPS = {

    "register": [ENTITY_TYPES.LOCATION, ENTITY_TYPES.ARTIST, ENTITY_TYPES.GROUP]
};

module.exports = {

    ENTITY_TYPES: ENTITY_TYPES,
    ENTITY_TYPE_GROUPS: ENTITY_TYPE_GROUPS,

    getTypesByTypeGroup: function (typeGroup) {

        return ENTITY_TYPE_GROUPS[typeGroup];
    },

    getFileNameForEntity: function (entityInfo) {
    
        if(entityInfo
            && entityInfo.type
            && entityInfo.id) {
    
            var randomSuffix = Math.floor(Math.random() * (1000000 - 1) + 1);
            return entityInfo.type + "." + entityInfo.id + "." + randomSuffix;
        } else {
    
            return null;
        }
    },

    getEntityTypesArray: function () {

        return Object.values(ENTITY_TYPES);
    }
};