
var AWS = require('aws-sdk');
var elasticSearch = require('elasticsearch');
var _environment_ = require("./environment");

module.exports = function (config) {

    console.log(config);

    if (!config.host) {

        throw "You need to define a host to get an elastic search client";
    } else {

        var awsConfig = {
            ACCESS_KEY_ID: _environment_.getVariable("AWS_ACCESS_KEY_ID"),
            SECRET_ACCESS_KEY: _environment_.getVariable("AWS_SECRET_ACCESS_KEY"),
            ELASTIC_SEARCH_REGION: _environment_.getVariable("AWS_ELASTIC_SEARCH_REGION")
        };

        AWS.config.update({
            credentials: new AWS.Credentials(awsConfig.ACCESS_KEY_ID, awsConfig.SECRET_ACCESS_KEY),
            region: awsConfig.ELASTIC_SEARCH_REGION
        });

        var client = elasticSearch.Client({
            hosts: [ config.host ],
            log: config.logLevel ? config.logLevel :  "error",
            connectionClass: require('http-aws-es')
        });

        return client;
    }
};