var _ = require("underscore");

/**
 *  has_card_payments
        has_visa_card_payments
        has_master_card_payments
        has_american_express_card_payments
        has_outdoor_seating
        has_live_music
        has_free_wifi
        has_happy_hour
        has_breakfast
        has_brunch
        has_lunch
        has_desserts has_desserts => has_desserts
        has_dinner
        has_delivery
        has_cocktails
        has_full_bar
        has_music
        takes_only_group_reservations
        takes_reservations
        has_wine
        closed
        is_bicycle_friendly
        is_pet_friendly
        has_shower
        has_wc
        has_autopark
        has_buffet
        has_restaurant
        has_picnic_units
        has_laundry
        has_kitchen
        has_drinking_water
        has_van_waste_water_discharge
        has_electric
        has_tent_rental
        has_usable_refrigerator => has_usable_refrigerator
        has_bungalows
        has_beaches
        has_dressing_rooms
        has_barbeque
 * */
var booleanProperties = [
    'has_card_payments',
    'has_visa_card_payments',
    'has_master_card_payments',
    'has_american_express_card_payments',
    'has_outdoor_seating',
    'has_live_music',
    'has_free_wifi',
    'has_happy_hour',
    'has_breakfast',
    'has_brunch',
    'has_lunch',
    'has_desserts', /* todo: change to has desserts */
    'has_dinner',
    'has_delivery',
    'has_cocktails',
    'has_full_bar',
    'has_music',
    'takes_only_group_reservations',
    'takes_reservations',
    'has_wine',
    'closed',
    'is_bicycle_friendly',
    'is_pet_friendly',
    'has_shower',
    'has_wc',
    'has_autopark',
    'has_buffet',
    'has_restaurant',
    'has_picnic_units',
    'has_laundry',
    'has_kitchen',
    'has_drinking_water',
    'has_van_waste_water_discharge',
    'has_electric',
    'has_tent_rental',
    'has_usable_refrigerator',
    'has_bungalows',
    'has_beaches',
    'has_dressing_rooms',
    'has_barbeque',
];

var otherLocationProperties = [
    'fs_rating',
    'price_tier',
    'fb_rating_count',
    'rating'
];

var locationProperties = booleanProperties.concat(otherLocationProperties);

module.exports = {

    groupProperties: function (location) {

        var result = location.dataValues ? location.dataValues : location;

        result.properties = {};

        _.each(locationProperties, function (locationProperty) {

            result.properties[locationProperty] = result[locationProperty];
            delete result[locationProperty];
        });

        return result;                                                                                                                                          
    },

    ensureBooleanProperties: function(location) {

        var locationKeys = Object.keys(location);

        _.each(booleanProperties, function (booleanProperty) {

            if( !locationKeys.includes(booleanProperty)) {
                
                location[booleanProperty] = "0";
            }  
        });

        return location;
    },

    locationProperties : locationProperties,
};