var nodeMailer = require("nodemailer");
var EmailTemplate = require('email-templates').EmailTemplate;
var path = require('path')
var _oblogger_ = require("./ob-logger")("api.services.mailer");
var _errors_ = require("./errors");

var transporter = nodeMailer.createTransport({
    service: 'Gmail',
    auth: {

        //user: process.env.MAILER_AUTH_USER,
        //pass: process.env.MAILER_AUTH_PASSWORD
        user: "otuzbeslikuser@gmail.com",
        pass: "!!35123512"
    }
});

var mailerIsInitialized = function () {

    return process.env.MAILER_AUTH_USER
        && process.env.MAILER_CLIENT_ID
        && process.env.MAILER_CLIENT_SECRET
        && process.env.MAILER_CLIENT_REFRESH_TOKEN;
};

module.exports = {

    MAILS: {
        NOREPLY: ["noreply@otuzbeslik.com"],
        TEST: ["bilsay@otuzbeslik.com"],
        ADMIN: "admin@otuzbeslik.com",
        BUGEP_ADMIN: [
            "info@otuzbeslik.com",
            "bisiklet@bugep.org",
            "mkarakus72@gmail.com",
            "bugepbidi@gmail.com"
        ],
        CONTENTTEAM: [
            "burcu.ocal@otuzbeslik.com",
            "secil.seker@otuzbeslik.com",
            "gulay.gulat@otuzbeslik.com",
            "zeynep.ozturk@otuzbeslik.com"
        ]
    },


    sendEmailHtml: function (options) {

        return new Promise(function (resolve, reject) {

            if (!mailerIsInitialized()) {

                _oblogger_.error(_errors_.mailer.send + " - Mail authorization failure", true);

                return reject({

                    message: "Mail authorization failure",
                    code: _errors_.mailer.initialization
                });
            }

            if (!options.html) {

                _oblogger_.error(_errors_.mailer.no_template + " - Mail html failure", true);

                return reject({

                    message: "Mail html failure"
                });
            }

            var mailOptions = {
                from: options.from, // sender address
                to: options.to, // list of receivers
                subject: options.subject, // Subject line
                html: options.html // html body
            };

            transporter.sendMail(mailOptions, function (error, info) {

                if (error) {

                    _oblogger_.error(mailOptions, true);

                    return reject({
                        error: error,
                        code: _errors_.mailer.send
                    });
                }

                resolve(info);
            });
        });
    },

    sendEmail: function (options) {

        return new Promise(function (resolve, reject) {

            if (!mailerIsInitialized()) {

                _oblogger_.error(_errors_.mailer.send + " - Mail authorization failure", true);

                return reject({

                    message: "Mail authorization failure",
                    code: _errors_.mailer.initialization,
                    data: options.data
                });
            }

            if (!options.template) {

                _oblogger_.error(_errors_.mailer.no_template + " - Mail template failure", true);

                return reject({

                    message: "Mail template failure",
                    code: _errors_.mailer.no_template,
                    data: options.data
                });
            }

            var emailTempatePath = path.join(process.cwd(), "views", "emails", options.template);
            var email = new EmailTemplate(emailTempatePath);
            var emailData = options.data || {};
            var locale = options.locale || "tr";

            email.render(emailData, locale, function (error, result) {
                // result.html
                // result.text

                if (error) {

                    return reject({
                        error: error,
                        code: _errors_.mailer.render_template
                    });
                }

                var mailOptions = {
                    from: options.from, // sender address
                    to: options.to, // list of receivers
                    subject: result.subject, // Subject line
                    html: result.html // html body
                };

                transporter.sendMail(mailOptions, function (error, info) {

                    if (error) {

                        _oblogger_.error(mailOptions, true);

                        return reject({
                            error: error,
                            code: _errors_.mailer.send
                        });
                    }

                    resolve(info);
                });

            });
        });
    }
};
