var _colors_ = require('./colors');
var _environment_ = require("./environment");
var _text_ = require("./text");
var _date_ = require("./date");

module.exports = function (source) {

    if (!source) {

        throw "You need to initialize ob-logger with a source";
    }

    function shorten (message) {

        if (message) {
    
            return message.substring(0, Math.min(message.length, 300));
        }
    }
    
    function toText(obj, keepLong, prefix) {
    
        var text = " ";

        if (obj) {

            text = _text_.stringify(obj);
        }

        return "[" + prefix + " => " + source + " @ " + _date_.now() + "]: " + (keepLong ? text : shorten(text));
    }

    return {

        toText: toText,
        
        info: function (message, keepLong) {

            if (!_environment_.isProduction()) {

                console.log(_colors_.paint.info(toText(message, keepLong, "INFO")));
            }
        },

        success: function (message, keepLong) {

            console.log(_colors_.paint.success(toText(message, keepLong, "SUCCESS")));
        },

        error: function (error, keepLong) {

            console.log(_colors_.paint.error(toText(error, keepLong, "ERROR")));
        }
    };
};                              