var bcrypt = require("bcrypt-nodejs");

module.exports = {

    getHashedPassword: function (password) {

        return new Promise(function (resolve, reject) {

            bcrypt.genSalt(10, function(error, salt) {
    
                if (error) {
    
                  return reject({
                      message: 'Can not generate salt for hashed password',
                      error: error
                  });
                }
          
                bcrypt.hash(password, salt, undefined, function(error, hash) {
    
                  if (error) { 
                     
                    return reject({
                        message: 'Can not hash password',
                        error: error
                    });
                  }
        
                  resolve(hash);
                });
              });
        });
    },

    comparePassword: function(userPassword, candidatePassword) {

        return new Promise(function(resolve, reject) {

            bcrypt.compare(candidatePassword, userPassword, function(err, isMatch) {

                if (err) {

                    return reject(err);
                }

                resolve(isMatch);
            });
        });
    },
    comparePasswordSync: function (userPassword, candidatePassword) {
        
    }
};