var _api_ = require("../../src/api");
var api = _api_();

var _environment_ = require("../../src/environment");
var _oblogger_ = require("../../src/ob-logger")("hippodamus.api");

var chai = require('chai');
var expect  = chai.expect;

describe("Api", function() {

    before(function(done) {

        _environment_.setAsTest();
        done();
    });

    after(function(done) {

        _environment_.setAsTest();
        done();
    });


    it('can post', function(done) {
    
        _environment_.setAsDevelopment();

        api.postJSON("locations/summaries/update/all", { 
            summaries: [
                {
                    "_document": {
                        "id": "13049",
                        "name": "Bar66 İzmir",
                        "url": "/mekan/bar66-izmir",
                        "rating": "6",
                        "latitude": 38.435604,
                        "longitude": 27.141489999999976,
                        "address": "Alsancak Mahallesi, 1445. Sk. No:5, 35220 Konak/İzmir, Türkiye",
                        "description": "",
                        "is_promoted": "false",
                        "images": [
                            {
                                "image_url": "img/mekan/location.13049.762524.jpg",
                                "size_prefix": "",
                                "id": "817098"
                            },
                            {
                                "image_url": "img/mekan/location.13049.246396.jpg",
                                "size_prefix": "",
                                "id": 817099
                            },
                            {
                                "image_url": "img/mekan/location.13049.370924.jpg",
                                "size_prefix": "",
                                "id": 817100
                            }
                        ],
                        "categories": [
                            {
                                "id": 2003,
                                "name": "Eğlence Mekanı"
                            },
                            {
                                "id": 2010,
                                "name": "Cafe"
                            }
                        ],
                        "tags": [
                            {
                                "id": 28272,
                                "name": "bar"
                            },
                            {
                                "id": 30136,
                                "name": "kokteyller"
                            },
                            {
                                "id": 27864,
                                "name": "müzik"
                            }
                        ]
                    },
                    "_id": "LOCATION_13049"
                }
    ]}).then(function (response) {

            expect(response).not.to.be.null;
            done();
        }).catch(function (error) {

            _oblogger_.error(error);
        });
    }); 
});
    