var _file_ = require("../../src/file");
var _environment_ = require("../../src/environment");

var chai = require('chai');
var expect = chai.expect;

describe("File", function () {

    before(function (done) {

        _environment_.setAsTest();
        done();
    });

    after(function (done) {

        _environment_.setAsTest();
        done();
    });

    it('can get content type from file', function (done) {

        expect(_file_.getFileContentType({ name: "a.sd.sdsdd.html" })).to.eql("text/html");
        expect(_file_.getFileContentType({ name: "a.sd.sdsdd.css" })).to.eql("text/css");
        expect(_file_.getFileContentType({ name: "a.sd.sdsdd.json" })).to.eql("application/json");
        expect(_file_.getFileContentType({ name: "a.sd.sdsdd.js" })).to.eql("application/x-javascript");
        expect(_file_.getFileContentType({ name: "a.sd.sdsdd.png" })).to.eql("image/png");
        expect(_file_.getFileContentType({ name: "a.sd.sdsdd.jpg" })).to.eql("image/jpg");


        expect(_file_.getFileContentType({ extension: "html" })).to.eql("text/html");
        expect(_file_.getFileContentType({ extension: "css" })).to.eql("text/css");
        expect(_file_.getFileContentType({ extension: "json" })).to.eql("application/json");
        expect(_file_.getFileContentType({ extension: "js" })).to.eql("application/x-javascript");
        expect(_file_.getFileContentType({ extension: "png" })).to.eql("image/png");
        expect(_file_.getFileContentType({ extension: "jpg" })).to.eql("image/jpg");

        expect(_file_.getFileContentType()).to.be.null;
        expect(_file_.getFileContentType({})).to.be.null;
        expect(_file_.getFileContentType({ extension: "xml" })).to.eql("application/octet-stream");

        /*
         case "html": {
            rc = "text/html";
            break;
        }
        case "css": {
            rc = "text/css";
            break;
        }
        case "json": {
            rc = "application/json";
            break;
        }
        case "js": {
            rc = "application/x-javascript";
            break;
        }
        case "png": {
            rc = "image/png";
            break;
        }
        case "jpg": {
            rc = "image/jpg";
            break;
        }
        default: {
            rc = 'application/octet-stream'
            break;
        }
        */
        done();
    });
});
