var _userModelHelper_ = require("../../../../src/helpers/user/model");
var _environment_ = require("../../../../src/environment");

var chai = require('chai');
var expect  = chai.expect;

describe("User Model Helper", function() {

    before(function(done) {

        _environment_.setAsTest();
        done();
    });

    after(function(done) {

        _environment_.setAsTest();
        done();
    });

    it('can get location properties', function(done) {
    
        var testData = [
            {
                id: 1,
                type: "LOCATION",
                name: "Rick"
            },
            {
                id: 2,
                type: "LOCATION",
                name: "Morty"
            },
            {
                id: 4,
                type: "LOCATION",
                name: "Jeff"
            },
            {
                id: "6",
                type: "LOCATION",
                name: "Jeff"
            }
        ];

        var result = _userModelHelper_.getManagedEntityByTypeAndId(testData, "LOCATION", 1);
        var stringIdResult = _userModelHelper_.getManagedEntityByTypeAndId(testData, "LOCATION", "6");
        var intIdResult = _userModelHelper_.getManagedEntityByTypeAndId(testData, "LOCATION", 6);
        var emptyResult = _userModelHelper_.getManagedEntityByTypeAndId(testData, "LOCATION", 5);

        expect(result).not.to.be.null;
        expect(result.id).to.be.eql(1);
        expect(result.type).to.be.eql("LOCATION");

        expect(stringIdResult).not.to.be.null;
        expect(intIdResult).not.to.be.null;

        expect(emptyResult).to.be.null;

        done();
    });
});
    