var _image_ = require("../../src/images");
var _environment_ = require("../../src/environment");

var chai = require('chai');
var expect  = chai.expect;

describe("Image", function() {

    before(function(done) {

        _environment_.setAsTest();
        done();
    });

    after(function(done) {

        _environment_.setAsTest();
        done();
    });

    it('can take regular images', function(done) {
    
        _environment_.setAsDevelopment();

        expect(_image_.takeRegularImages([
            {
                size: _image_.IMAGESIZES.REGULAR
            }, 
            {
                size_prefix: _image_.IMAGESIZES.REGULAR.prefix
            }, 
            {
                size_prefix: _image_.IMAGESIZES.THUMBNAIL.prefix
            },
            {
                size: _image_.IMAGESIZES.THUMBNAIL
            }
        ])).to.have.lengthOf(2);

        done();
    });
});
    