var _object_ = require("../../src/object");
var _environment = require("../../src/environment");

var chai = require('chai');
var expect  = chai.expect;

describe("Object", function() {

    before(function(done) {

        _environment.setAsTest();
        done();
    });

    it('can clean empty values', function(done) {

        var test = {
            a: 1456,
            b: "1456",
            c: null,
            d: undefined,
            e: [],
            f: false,
            g: true
        };

        var outcome = _object_.clean(test);

        expect(outcome).not.to.be.null;
        expect(outcome.a).not.to.be.null;
        expect(outcome.b).not.to.be.null;
        expect(outcome.e).not.to.be.null;
        expect(outcome.f).not.to.be.null;
        expect(outcome.g).not.to.be.null;
        expect(outcome.c).to.be.undefined;
        expect(outcome.d).to.be.undefined;
        expect(outcome.h).to.be.undefined;
        
        done();
    });
});
    