var _security_ = require("../../src/security");
var _environment_ = require("../../src/environment");

var chai = require('chai');
var expect  = chai.expect;

describe("Security", function() {

    before(function(done) {

        _environment_.setAsTest();
        done();
    });

    after(function(done) {

        _environment_.setAsTest();
        done();
    });

    it('can match passwords', function(done) {

        var password = "k";

        _security_.getHashedPassword(password).then(function (hashed) {

            _security_.comparePassword(hashed, password)
            .then(function (isMatch) {

                expect(isMatch).to.be.true;
                done();
            });
        });
    });
    //
});
    