var _util_ = require("../../src/util");
var _environment = require("../../src/environment");

var chai = require('chai');
var expect  = chai.expect;

describe("Util", function() {

    before(function(done) {

        _environment.setAsTest();
        done();
    });

    it('can get boolean value', function(done) {

        var test = {
            trueValue: true,
            stringOne: "1",
            stringZero: "0",
            one: 1,
            zero: 0,
            falseValue: false,
            nullValue: null,
            undefinedValue: undefined
        };

        expect(_util_.getBooleanValue(test.trueValue)).to.be.true;
        expect(_util_.getBooleanValue(test.stringOne)).to.be.true;
        expect(_util_.getBooleanValue(test.stringZero)).to.be.false;
        expect(_util_.getBooleanValue(test.one)).to.be.true;
        expect(_util_.getBooleanValue(test.zero)).to.be.false;
        expect(_util_.getBooleanValue(test.falseValue)).to.be.false;
        expect(_util_.getBooleanValue(test.nullValue)).to.be.false;
        expect(_util_.getBooleanValue(test.undefinedValue)).to.be.false;
        
        done();
    });
});
    